CBLAT2(3)

SYNOPSIS
SUBROUTINE CBLAT2 (NOUT, KPRINT, IPASS)

NAME
cblat2 - Driver for testing Level 2 BLAS complex subroutines.

LIBRARY
SLATEC (BLAS)

CATEGORY
A4

TYPE
COMPLEX (SBLAT2-S, DBLAT2-D, CBLAT2-C)

KEYWORDS
BLAS, QUICK CHECK DRIVER

AUTHOR
Du Croz, J. J., (NAG) Hanson, R. J., (SNLA)

DESCRIPTION
Test program for the COMPLEX Level 2 Blas.

REFERENCES
Dongarra, J. J., Du Croz, J. J., Hammarling, S. and Hanson, R. J. An extended set of Fortran Basic Linear Algebra Subprograms. ACM TOMS, Vol. 14, No. 1, pp. 1-17, March 1988.

ROUTINES CALLED
CCHK12, CCHK22, CCHK32, CCHK42, CCHK52, CCHK62, CCHKE2, CMVCH, LCE, R1MACH, XERCLR

REVISION HISTORY (YYMMDD)
870810 DATE WRITTEN
910619 Modified to meet SLATEC code and prologue standards. (BKS)
930315 Removed unused variables. (WRB)
930618 Code modified to improve PASS/FAIL reporting. (BKS, WRB)